#
#   config.make.in
#
#   All of the settings required by the makefile package
#   that are determined by configure.
#
#   Copyright (C) 1997 Free Software Foundation, Inc.
#
#   Author:  Scott Christley <scottc@net-community.com>
#   Author:  Ovidiu Predescu <ovidiu@net-community.com>
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#
# Binary and compile tools
#
CC      = cc
OPTFLAG = -O -pipe 

EXEEXT = 
OEXT   = .o
LIBEXT = .a
RESEXT = .res
RCEXT  = .rc

LN_S = ln -s

LD = $(CC)
LDOUT =
LDFLAGS =  

AR      = ar
AROUT   =
ARFLAGS = rc
RANLIB  = ranlib

RC      = @RC@
DLLTOOL = 

YACC            = yacc
BISON           = bison
FLEX            = flex
LEX             = lex

INSTALL		= /usr/bin/install -c -o root -g wheel
INSTALL_PROGRAM	= install -c
INSTALL_DATA	= install -c
TAR		= tar
MKDIRS		= $(GNUSTEP_MAKEFILES)/mkinstalldirs

# Version information
GNUSTEP_VERSION_DEFINE = -DGNUSTEP_VERSION=0.6.6 \
	-DGNUSTEP_MAJOR_VERSION=0 \
	-DGNUSTEP_MINOR_VERSION=6

# The default library combination
default_library_combo = gnu-gnu-gnu-xgps

#
# Do threading stuff.
#
ifndef objc_threaded
  objc_threaded:=
endif

#
# Graphic and X Window System headers and libraries
#
GRAPHIC_LIBS=-ltiff  -lXmu -lXext -lX11 
GRAPHIC_CFLAGS=-I/usr/local/lib -I/usr/local/lib  -I/usr/X11R6/include
GRAPHIC_LFLAGS=-L/usr/local/lib -L/usr/local/lib  -L/usr/X11R6/lib
X_PRE_LIBS= -lSM -lICE

# Any user specified libs, like thread libraries
CONFIG_SYSTEM_LIBS = 
CONFIG_SYSTEM_DEFS =   -DHAVE_DPS_CLIENT_H=0 -DHAVE_DPS_DPSNXARGS_H=0

## Local variables:
## mode: makefile
## End:
